package cn.fw.valhalla.dao.mapper;

import cn.fw.valhalla.domain.db.follow.ClueTask;
import cn.fw.valhalla.domain.dto.FollowPoolDTO;
import cn.fw.valhalla.domain.dto.ShouldBeCompletedDTO;
import cn.fw.valhalla.domain.query.BeCompletedQuery;
import cn.fw.valhalla.domain.query.FollowPoolQueryVO;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 跟进线索
 *
 * @author : kurisu
 * @version : 1.0
 * @className : ClueTaskMapper
 * @description : 跟进线索任务
 * @date : 2022-07-22 17:54
 */
@Repository
public interface ClueTaskMapper extends BaseMapper<ClueTask> {
    /**
     * 跟进池
     *
     * @param startIndex
     * @param pageSize
     * @param queryVO
     * @return
     */
    List<FollowPoolDTO> followList(@Param("startIndex") Integer startIndex, @Param("pageSize") Integer pageSize, @Param("condition") FollowPoolQueryVO queryVO);

    /**
     * 查询跟进池总数
     *
     * @param queryVO
     * @return
     */
    Long followListCount(@Param("condition") FollowPoolQueryVO queryVO);

    /**
     * 查询跟进应成交数
     *
     * @param query
     * @return
     */
    List<ShouldBeCompletedDTO> queryBeCompleted(@Param("condition") BeCompletedQuery query);
}
