package cn.fw.valhalla.domain.dto;

import lombok.Data;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
 * @author : kurisu
 * @className : CustomerAddressChangeDTO
 * @description : 地址信息变更
 * @date: 2022-03-16 10:10
 */
@Data
public class CustomerAddressChangeDTO {
    @NotNull(message = "档案id不能为空")
    private Long id;
    /**
     * 联系地址
     */
    private String address;
    /**
     * 纬度
     */
    private BigDecimal lat;
    /**
     * 经度
     */
    private BigDecimal lng;
    /**
     * 使用地城市代码
     */
    private String cityCode;
    /**
     * 使用地城市名称
     */
    private String cityName;
    /**
     * 工作单位;个人
     */
    private String companyName;
    /**
     * 爱好
     */
    private String hobby;
    /**
     * 职业
     */
    private String job;
}
