package cn.fw.valhalla.sdk.param;

import cn.fw.common.web.annotation.LoginContextField;
import lombok.Data;
import lombok.ToString;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

import java.util.Date;

/**
 * @author : xiatian
 * @date: 2022-06-08
 */
@Data
@ToString
public class CustomerSaveReq {
    private Long id;

    @NotNull(message = "会员id不能为空")
    private Long memberId;
    /**
     * 车牌号
     */
    @NotBlank(message = "车牌号不能为空")
    private String plateNo;
    /**
     * 车架号
     */
    @NotBlank(message = "车架号不能为空")
    private String frameNo;
    /**
     * 发动机号
     */
    private String engineNo;
    /**
     * 行驶证注册日期
     */
    @NotNull(message = "行驶证注册日期不能为空")
    private Date regDate;
    /**
     * 车型代码
     */
    private String specCode;
    /**
     * 品牌id
     */
    private Long brandId;
    /**
     * 品牌名称
     */
    private String brandName;
    /**
     * 车系id
     */
    private Long seriesId;
    /**
     * 车系名称
     */
    private String seriesName;
    /**
     * 车型id
     */
    private Long specId;
    /**
     * 车型名称
     */
    private String specName;

    /**
     * 使用性质 1:非运营 2：运营
     */
    @NotNull(message = "使用性质不能为空")
    private Integer useType;
    /**
     * 车辆所有者
     */
    @NotBlank(message = "车辆所有者名称不能为空")
    private String name;

    /**
     * 客户类型;1:个人；2:单位
     */
    @NotNull(message = "客户类型不能为空")
    private Integer cusType;
    /**
     * 顾问id
     */
    @NotNull(message = "顾问id不能为空")
    private Long adviserId;
    /**
     * 所属服务站
     */
    @NotNull(message = "服务站Id不能为空")
    private Long shopId;
    /**
     * 集团id
     */
    @LoginContextField(LoginContextField.Name.GROUP_ID)
    private Long groupId;
}
