package cn.fw.valhalla.service.data.impl;

import cn.fw.valhalla.dao.mapper.MemberVehicleMapper;
import cn.fw.valhalla.domain.db.MemberVehicle;
import cn.fw.valhalla.sdk.result.BasicsCustomerDTO;
import cn.fw.valhalla.service.data.MemberVehicleService;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 会员认证车辆
 * <p>
 * create at 2022-06-06
 *
 * @author xiatian
 */
@Service
public class MemberVehicleServiceImpl extends ServiceImpl<MemberVehicleMapper, MemberVehicle>
        implements MemberVehicleService {
    @Override
    public MemberVehicle getVehicle(final String frameNo) {
        return baseMapper.selectOne(Wrappers.<MemberVehicle>lambdaQuery()
                .eq(MemberVehicle::getYn, Boolean.TRUE).eq(MemberVehicle::getFrameNo, frameNo));
    }

    @Override
    public List<MemberVehicle> getMemberVehicle(final Long memberId) {
        return baseMapper.selectList(Wrappers.<MemberVehicle>lambdaQuery()
                .eq(MemberVehicle::getYn, Boolean.TRUE).eq(MemberVehicle::getMemberId, memberId));
    }

    @Override
    public List<BasicsCustomerDTO> queryByKeyword(final String keyword) {
        return baseMapper.queryByKeyword(keyword);
    }
}
